Get a queue version

Use this request to get queue version parameters.

GET

https://api.tracker.yandex.net/v3/versions/{version_ID}

Query format

Before making a request, get permission to access the API.

To get a queue version, use an HTTP GET request.

GET /v3/versions/{version_ID}
Host: api.tracker.yandex.net
Authorization: OAuth API_TOKEN
X-Org-ID or X-Cloud-Org-ID: ORGANIZATION_ID
Headers
  • Host: address of the node that provides the API.

  • Authorization: Authorization token about these formats:

    • OAuth OAUTH_TOKEN: For authorization using the OAuth 2.0 protocol. Learn more

    • Bearer IAM_TOKEN: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. Learn more

  • ID types

    X-Org-ID or X-Cloud-Org-ID: Organization ID.

    • Use the X-Org-ID header if a Tracker organization is linked to Yandex 360 for Business.

    • Use the X-Cloud-Org-ID header if a Tracker organization is linked to Yandex Identity Hub.

    Finding the ID

    To get the organization ID, go to Administration → Organizations and copy the value from the ID field.

Resource
Parameter Description Data type
version_ID Version ID. Number
Request parameters
Parameter Description Data type
fields Comma-separated list of fields to return: version, queue, name, description, startDate, dueDate, releasedAt, released, archived, next. The self and id fields are always returned. String

If you pass the ETag value from a previous response in the If-None-Match header and the version has not changed, the API returns 304 without a response body.

Response format

If the request is successful, the API returns a response with code 200 OK.

The response body contains a JSON object with version parameters.

{
    "self": "https://api.tracker.yandex.net/v3/versions/123",
    "id": 123,
    "version": 1,
    "queue": {
        "self": "https://api.tracker.yandex.net/v3/queues/TEST",
        "id": "1",
        "key": "TEST",
        "display": "Test queue"
    },
    "name": "Version 1.0",
    "description": "Version description",
    "startDate": "2026-08-26",
    "dueDate": "2026-08-27",
    "released": false,
    "archived": false
}
Response parameters
Parameter Description Data type
self Link to the version object. String
id Version ID. Number
version Version number. Number
queue Queue that contains the version. Map item
name Version name. String
description Version description. String
startDate Version start date in YYYY-MM-DD format. String
dueDate Version due date in YYYY-MM-DD format. String
released Whether the version is released. Boolean
archived Whether the version is archived. Boolean

queue object fields

Parameter Description Data type
self Address of the API resource with information about the queue. String
id Queue ID. String
key Queue key. String
display Queue name displayed. String

If the version is not found, the API returns the following error code:

404
The requested object was not found. You may have specified an invalid object ID or key.